## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.terminal3.io/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```
curl --request GET \
  --url https://staging.terminal3.io/v1/openidc/credentials \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://staging.terminal3.io/v1/openidc/credentials"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://staging.terminal3.io/v1/openidc/credentials', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- 200
- 400
- 401
- 403
- 422

### Sample Response

```json
{
  "data": [
    {
      "@context": [
        "<string>"
      ],
      "id": "<string>",
      "issuer": "<string>",
      "credentialSubject": {
        "id": "<string>"
      },
      "type": [
        "<string>"
      ],
      "validFrom": "<string>",
      "validUntil": "<string>",
      "proof": {
        "type": "<string>",
        "proofPurpose": "<string>",
        "verificationMethod": "<string>",
        "created": "<string>",
        "mandatoryPointers": [
          "<string>"
        ],
        "cryptosuite": "<string>",
        "@context": [
          "<string>"
        ],
        "proofValue": "<string>"
      },
      "credentialStatus": "<unknown>"
    }
  ]
}
```

### Error Response

```json
{
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}
```

### Authorizations

Authorization

- **string**
- **header**
- required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Query Parameters

- **issuer**: string, Minimum string length: `1`
- **id**: string, Minimum string length: `1`

### Response

- **200**: application/json, Success, required
